Как исправить проблему с установкой viber в kubuntu 18.04

В новой версии kubuntu 18.04 используется libcurl4, а в зависимостях viber 3-я версия. Соответственно при установке viber просит установить старую версию и сносит новую libcurl4 и софт зависящий от неё. Лучший известный мне способ исправить данную проблему — пересобрать пакет.

sudo su # переходим в режим root
dpkg-deb -x viber.deb viber # распаковываем пакет скачанный с сайта viber
dpkg-deb --control viber.deb viber/DEBIAN 
nano /DEBIAN/control #  заменяем libcurl3 на libcurl4
dpkg -b viber vibernew.deb # перепаковываем и устанавливаем
dpkg -i vibernew.deb

И всё работает. Печалит то, что современные приоритеты месенджеров кроются в продажах стикеров и информации, а вот потратить пару человекочасов на нормальный способ дистрибуции — жалко.

Вам также может понравиться

Об авторе amdy

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *